<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Zonas/zona_urbana.php"); 
encabezado2($target); 
   //$nombrepagina = "MODIFICAR USUARIOS";
   //encabezado(); 
   //$nombre_u=$nombre_usuario;
   //$pass=$password;    

		 //echo"<br><br>";
		 
		 //mostrar_cabeza_trabajo($nombrepagina);	 

$id=$_GET['id_zona'];
$nombre=$_GET['nombre'];
$codigo=$_GET['codigo'];
$id_suc=$_GET['id_suc'];
$valor=$_GET['valor'];
$valord=$_GET['valord'];
$pagina='ACTUALIZAR ZONAS URBANAS';
if($tipo==2 && !isset($Ejecutar)){
$read="readonly='readonly'";
$pagina='ELIMINAR ZONAS URBANAS';
}
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Codigo:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="codigo" value="<? echo $codigo?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Valor Entregada:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="valor" value="<? echo $valor?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Valor Devolucion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="valord" value="<? echo $valord?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:
</td>
<td width="150" class="miTable_td">
<select name="suc" class="inputbox">
<?
class tomar_sucursal{
	var $userObj;
	//var $conexionObj2;
		function get_suc($id_suc){
		$this->userObj=new select_zonas();
		$this->userObj->get_sucursales2($id_suc);
	    }
}
$zona_nacionalObj=new tomar_sucursal();
$zona_nacionalObj->get_suc($id_suc);

//get_sucursales($id_suc);
?>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){
  //echo "Asignar menu";
  
class ejecutaZonan{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$nombre,$codigo,$suc,$valor,$valord){
	  		 //$id_user=$_GET['id_user'];
			 $_SESSION['desc']=$desc;
	  		 if($nombre=='' || $codigo==''){
			 $msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	  		    echo "<script>
				   alert('$msgBOX2');
				   window.close();
				</script>";
			 }else{
			   $this->consultarObj=new zonas_urbanas();
	  		   $this->consultarObj->setCod_zurb($id);
			   $this->consultarObj->setNombre($nombre);
			   $this->consultarObj->setCodigo($codigo);
			   $this->consultarObj->setSucursal($suc);
			   $this->consultarObj->setValor($valor);
			   $this->consultarObj->setValor_dev($valord);
			 }
			 
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM zonas_urbanas WHERE id_zona_urb='".$this->consultarObj->getCod_zurb()."'");
			if(mysql_num_rows($rst_validar)>=1){
				//echo $desc=$_SESSION['desc'];
				$id=$this->consultarObj->getCod_zurb();
				$nombre=$this->consultarObj->getNombre();
				$codigo=$this->consultarObj->getCodigo();
				$suc=$this->consultarObj->getSucursal();
				$valor=$this->consultarObj->getValor();
				$valord=$this->consultarObj->getValor_dev();
				$this->modificarZona($id,$nombre,$codigo,$suc,$valor,$valord);
			}else{
				//$row_validar=mysql_fetch_array($rst_validar);
				$msgBOX2 = "No Se Encontro Zona Urbana.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarZona($id,$nombre,$codigo,$suc,$valor,$valord){
//echo "UPDATE zonas_nacionales SET nombrez = '".$nombre."', abrev = '".$abr."' WHERE cod_zona_n = ".$cod_zona."";
$rst_modificar=$this->conexionObj->consultar("UPDATE zonas_urbanas SET nom_zona = '".$nombre."', cod_zona = '".$codigo."', id_sucursal = '".$suc."', valor_entrega = '".$valor."', valor_devolucion = '".$valord."' WHERE id_zona_urb = ".$id."");
$affected_modificar=mysql_affected_rows();
//$rst_menu_eliminar=$this->conexionObj->consultar("DELETE FROM menu_usuario WHERE id_usuario='".$id."'");
			if($affected_modificar>=1){
			$msgBOX2 = "Se Actualizo Zona Urbana.";
			echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
			$msgBOX2 = "No Se Pudo Actualizar Zona Urbana.";
			echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaZonanObj=new ejecutaZonan();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaZonanObj->setConsultar($_POST['id'],$_POST['nombre'],$_POST['codigo'],$_POST['suc'],$_POST['valor'],$_POST['valord']);

// LAMANDO EL METODO DE NEGOCIO
$ejecutaZonanObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){
  //echo "Quitar menu";
class quitarZona{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 //$id_user=$_GET['id_user'];
	  		 $this->consultarObj=new zonas_urbanas();
	  		 $this->consultarObj->setCod_zurb($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
//echo "SELECT * FROM zonas_nacionales WHERE cod_zona_n='".$this->consultarObj->getCod_zona()."'";			
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM zonas_urbanas WHERE id_zona_urb='".$this->consultarObj->getCod_zurb()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getCod_zurb();
				$this->eliminarZona($id);
			}else{
				//$row_validar=mysql_fetch_array($rst_validar);
				$msgBOX2 = "No Se Encontro Zona Urbana.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarZona($id){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM zonas_urbanas WHERE id_zona_urb = ".$id."");
			$affected_modificar=mysql_affected_rows();
			//$rst_menu_eliminar=$this->conexionObj->consultar("DELETE FROM menu_usuario WHERE id_usuario='".$id."'");
			if($affected_modificar>=1){
			$msgBOX2 = "Se Elimino Zona Urbana.";
			echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
			$msgBOX2 = "No Se Pudo Eliminar Zona Urbana.";
			echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarZonaObj=new quitarZona();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarZonaObj->setConsultar($_POST['id']);

// LAMANDO EL METODO DE NEGOCIO
$quitarZonaObj->validar();
  
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</body>";
   echo"</html>";
?>